> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add User Role

> Adds a role to the specified user's Admin account.



## OpenAPI

````yaml /openapi/openapi_user.json post /platform/adminuser/accounts/{userId}/roles/{roleId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/adminuser/accounts/{userId}/roles/{roleId}:
    post:
      tags:
        - AdminUser
      summary: Add User Role
      description: Adds a role to the specified user's Admin account.
      parameters:
        - description: Unique identifier of the user who receives the role.
          in: path
          name: userId
          required: true
          schema:
            type: string
        - description: Unique identifier of the role to add.
          in: path
          name: roleId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````